Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.slhdsa
Class HashSLHDSASigner

    java.lang.Object
      org.bouncycastle.pqc.crypto.slhdsa.HashSLHDSASigner

All Implemented Interfaces:
  Signer

Deprecated. use org.bouncycastle.crypto.signers.HashSLHDSASigner

public class HashSLHDSASigner
extends java.lang.Object
implements Signer

SLH-DSA signer - prehash version.

Constructor Summary
`HashSLHDSASigner()` Deprecated.

Method Summary
`byte[]` | `generateSignature()` Deprecated. generate a signature for the message we've been loaded with using the key we were initialised with.
`void` | `init(boolean forSigning, CipherParameters param)` Deprecated. Initialise the signer for signing or verification.
`protected byte[]` | `internalGenerateSignature(byte[] message, byte[] optRand)` Deprecated.
`protected boolean` | `internalVerifySignature(byte[] message, byte[] signature)` Deprecated.
`void` | `reset()` Deprecated. reset the internal state
`void` | `update(byte b)` Deprecated. update the internal digest with the byte b
`void` | `update(byte[] in, int off, int len)` Deprecated. update the internal digest with the byte array in
`boolean` | `verifySignature(byte[] signature)` Deprecated. return true if the internal state represents the signature described in the passed in array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HashSLHDSASigner

    public HashSLHDSASigner()

  Deprecated.

Method Detail

### init

    public void init(boolean forSigning,
                     CipherParameters param)

  Deprecated.
  Description copied from interface: `Signer`
  Initialise the signer for signing or verification.

  Specified by:
    `init` in interface `Signer`
  Parameters:
    `forSigning` - true if for signing, false otherwise
    `param` - necessary parameters.

### update

    public void update(byte b)

  Deprecated.
  Description copied from interface: `Signer`
  update the internal digest with the byte b

  Specified by:
    `update` in interface `Signer`

### update

    public void update(byte[] in,
                       int off,
                       int len)

  Deprecated.
  Description copied from interface: `Signer`
  update the internal digest with the byte array in

  Specified by:
    `update` in interface `Signer`

### generateSignature

    public byte[] generateSignature()
                             throws CryptoException,
                                    DataLengthException

  Deprecated.
  Description copied from interface: `Signer`
  generate a signature for the message we've been loaded with using the key we were initialised with.

  Specified by:
    `generateSignature` in interface `Signer`
  Throws:
    `CryptoException`
    `DataLengthException`

### verifySignature

    public boolean verifySignature(byte[] signature)

  Deprecated.
  Description copied from interface: `Signer`
  return true if the internal state represents the signature described in the passed in array.

  Specified by:
    `verifySignature` in interface `Signer`

### reset

    public void reset()

  Deprecated.
  Description copied from interface: `Signer`
  reset the internal state

  Specified by:
    `reset` in interface `Signer`

### internalGenerateSignature

    protected byte[] internalGenerateSignature(byte[] message,
                                               byte[] optRand)

  Deprecated.

### internalVerifySignature

    protected boolean internalVerifySignature(byte[] message,
                                              byte[] signature)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD